<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="?themePrimary">

    <ImageView
        android:id="@+id/shimmer_image_highlight"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:src="@drawable/placeholder_image"
        app:layout_constraintDimensionRatio="H,16:9"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="ContentDescription" />

    <LinearLayout
        android:id="@+id/shimmer_linear_highlight"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="?themePrimary"
        android:orientation="vertical"
        android:paddingBottom="7dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/shimmer_image_highlight">

        <ImageView
            android:id="@+id/image_dummy_text"
            android:layout_width="128dp"
            android:layout_height="21dp"
            android:layout_marginTop="7dp"
            android:layout_gravity="center"
            app:srcCompat="@drawable/shape_rounded_corner"
            tools:ignore="ContentDescription" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="7dp"
            android:gravity="center"
            android:orientation="horizontal">

            <Space
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/shimmer_text_highlight_my_list"
                android:layout_width="64dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textSize="12sp"
                app:drawableTint="?shapeTextBackground"
                app:drawableTopCompat="@drawable/ic_baseline_add_24" />

            <Space
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/shimmer_button_play_highlight"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textSize="16sp"
                app:backgroundTint="?shapeTextBackground" />

            <Space
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/shimmer_text_highlight_info"
                android:layout_width="64dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                app:drawableTint="?shapeTextBackground"
                app:drawableTopCompat="@drawable/ic_outline_info_24" />

            <Space
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

        </LinearLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>